#include "esp_common.h"

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/semphr.h"
#include "freertos/portmacro.h"

void ICACHE_FLASH_ATTR micro_delay( uint32_t d )
{
    uint32_t start = system_get_time() ;
    while( 1 ) {
        vTaskDelay(0) ;
        if( ( system_get_time() - start ) > d ) {
            return ;
        }
    }
}
void ICACHE_FLASH_ATTR milli_delay( uint32_t d )
{
    uint32_t start = system_get_time() ;
    d *= 1000ul ;
    while( 1 ) {
        vTaskDelay(0) ;
        if( ( system_get_time() - start ) > d ) {
            return ;
        }
    }
}
